Debian Bug report logs - #727795
ITP: node-raw-body -- Request body length validation supporting streams - module for Node.js

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jérémy Lal <kapouer@melix.org>

Date: Sat, 26 Oct 2013 20:45:01 UTC

Owned by: "Jérémy Lal" <kapouer@melix.org>

Severity: wishlist

Fixed in version node-raw-body/0.0.3-1

Done: Jérémy Lal <kapouer@melix.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>:
Bug#727795; Package wnpp. (Sat, 26 Oct 2013 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>. (Sat, 26 Oct 2013 20:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: node-raw-body -- Request body length validation supporting streams - module for Node.js
Date: Sat, 26 Oct 2013 22:41:54 +0200
Package: wnpp
Severity: wishlist
Owner: "Jérémy Lal" <kapouer@melix.org>

* Package name    : node-raw-body
  Version         : 0.0.3
  Upstream Author : Jonathan Ong <me@jongleberry.com>
* URL             : https://github.com/stream-utils/raw-body
* License         : Expat
  Programming Lang: JavaScript
  Description     : Request body length validation supporting streams - module for Node.js

This module gets the entire buffer of a stream and validates its length
against an expected length. A limit can also be set, preventing memory
exhaustion. It is useful for parsing request bodies.
.
Node.js is an event-based server-side javascript engine.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 27 Oct 2013 07:06:04 GMT) Full text and rfc822 format available.

Reply sent to Jérémy Lal <kapouer@melix.org>:
You have taken responsibility. (Fri, 29 Nov 2013 16:04:45 GMT) Full text and rfc822 format available.

Notification sent to Jérémy Lal <kapouer@melix.org>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 16:04:45 GMT) Full text and rfc822 format available.

Message #12 received at 727795-close@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 727795-close@bugs.debian.org
Subject: Bug#727795: fixed in node-raw-body 0.0.3-1
Date: Fri, 29 Nov 2013 16:00:16 +0000
Source: node-raw-body
Source-Version: 0.0.3-1

We believe that the bug you reported is fixed in the latest version of
node-raw-body, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 727795@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Lal <kapouer@melix.org> (supplier of updated node-raw-body package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 26 Oct 2013 22:49:01 +0200
Source: node-raw-body
Binary: node-raw-body
Architecture: source all
Version: 0.0.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Jérémy Lal <kapouer@melix.org>
Description: 
 node-raw-body - Request body length validation supporting streams - Node.js
Closes: 727795
Changes: 
 node-raw-body (0.0.3-1) unstable; urgency=low
 .
   * Initial release (Closes: #727795)
Checksums-Sha1: 
 633bced72e94d2b408ddebcc964cbe3f4fc59e56 2003 node-raw-body_0.0.3-1.dsc
 0667c73ef3185ad5bfa210527310e10c63dcaf99 3318 node-raw-body_0.0.3.orig.tar.gz
 6facc9719b2ffc93e3707d37cf5e68ad3b22087e 1971 node-raw-body_0.0.3-1.debian.tar.gz
 75161082be1968f43dc99a3de7f3f2d9acbd3929 3622 node-raw-body_0.0.3-1_all.deb
Checksums-Sha256: 
 ab17ca5e412976c2d2b56f6bdc0a222aab0db407e9040fefeb49fcd2d39406c8 2003 node-raw-body_0.0.3-1.dsc
 812423d01b7d5105d955ed48d18dfff6fa60b7aac486190d695b961a21cac9a4 3318 node-raw-body_0.0.3.orig.tar.gz
 ed6be6039b3c16e2fb2fb9db6a752fafa12c5707b86cb7972ce0158d5ca7bfbe 1971 node-raw-body_0.0.3-1.debian.tar.gz
 48819097493d51f81d6a948977aae6cd3a7a75f0ce1ef04ed91ba19dfc360150 3622 node-raw-body_0.0.3-1_all.deb
Files: 
 ad92d7879e520dce39ddff92dea5c553 2003 web extra node-raw-body_0.0.3-1.dsc
 eafbd425f933acde85a6acfb7514695b 3318 web extra node-raw-body_0.0.3.orig.tar.gz
 ada3151e51cde8d3a74fc15468959615 1971 web extra node-raw-body_0.0.3-1.debian.tar.gz
 bdd274be270b59b7de39c8b468eb81e6 3622 web extra node-raw-body_0.0.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSbCroAAoJEGYRwF7dOfN03PUQAMDXJpaRbL6YfwrMwZPRT224
UVl5MYgIECt9zUQJsulHPrJ9Qs4b16oXnD2feFgYU+wax4LRnRGKRSdyPUUO4Hot
FSCI6BP0ShOtbAL9Im+aRWbDisVUQ8r9Fpci6dPLPWMIce67nlBwREXyKPxdcTb1
BBGFEM8FHNYHw4WmAV0tHimiJtL60HMbSWMecNMntqfZNEntVdctncScfaiHNkMI
RIh7LN+71VjmWEpytk39Q4BNddb5lTYCjmYlEdO58CbCcNOtPSkNDpThSPRS3PoF
8qvVKY3Ev07XDfKUguzzV5ymK77CjaXWT9W/WY2YdO+hxj3FiGJ+EHYb9Rn5Ta1d
3nAOygimZqX3LZi6WzwEzhN/2bwAgX0xVl2k/Mwg9zGS+59k91IeczHppGlFQnbm
U8b724jWrz3ICGcpTAM58GA+xEXGfVKMqdyC4kGxJ66r9gRaWh31OK9QUfIBa2rY
DWNJGDwJJUCnVaG3n73Yy3G/FiQIadsIPSaC7PuXmWLcwnYWuQ0oQonXpmlF88bI
jj/uPDw9dNnBYFz7k52xeY0pHB9TETXma3xs8hXhFhO65clD41n+zHdTzxYcL6xY
EkrKLhA6IIw/yHf29Upkw2yZ+cDV+i61B8f5es/ZM0vN/OEsV+sK55tktnTp4sOJ
VxU9otTIt0uJiGMgibJd
=loZY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:44:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:03:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.